import { Commander, Tracer } from './';
export default abstract class Layout extends Commander {
    /**
     * Create a layout.
     *
     * @param children The child views to contain.
     */
    constructor(children: (Layout | Tracer)[]);
    /**
     * Set a view as the root view.
     *
     * @param root
     */
    static setRoot(root: Layout | Tracer): void;
    /**
     * Add a child to the layout.
     *
     * @param child
     * @param index The index to add the child to.
     */
    add(child: Layout | Tracer, index?: Number): void;
    /**
     * Remove a child from the layout.
     *
     * @param child
     */
    remove(child: Layout | Tracer): void;
    /**
     * Remove all the child views from the layout.
     */
    removeAll(): void;
}
